# Das Handbuch zu &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Thomas
Reitelbach

    tr@erdfunkstelle.de

Deutsche Übersetzung
Stefan
Doll

    sdoll4@yahoo.com

Deutsche Übersetzung
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-10-20
2.4.0

&konsole; ist der Terminal-Emulator für KDE.

KDE
konsole
kdebase
command
line
terminal
cli

## Einführung

### Was ist ein Terminal?

&konsole; ist ein X-Terminal-Emulator, oftmals auch einfach nur als Terminal oder Shell bezeichnet. Es emuliert die Befehlszeile in einem Textfenster.

Die Verwendung der &UNIX;-CLI würde den Rahmen dieses Handbuches sprengen. Gute Informationen zu diesem Thema finden Sie, wenn Sie diese Begriffe in eine Internet-Suchmaschine eingeben.

### Verlaufsspeicher

&konsole; verwendet einen sogenannten Verlaufsspeicher, damit man bereits durchgelaufene Terminal-Ausgaben durchsehen kann. Der Verlaufsspeicher ist in der Voreinstellung aktiviert und speichert maximal 1000 Zeilen (zusätzlich zu dem Text, der aktuell im Terminal-Fenster zu sehen ist). Text, der nicht mehr im Konsole-Fenster dargestellt wird, lässt sich mit Hilfe der Bildlaufleiste wieder sichtbar machen, wenn die Option Verlaufsspeicher eingeschaltet ist. Die Bildlaufleiste lässt sich mit dem Mauszeiger, dem Mausrad und auch über Tastenkombinationen &Shift;Bild auf (eine Seite nach oben), &Shift;Bild ab (eine Seite nach unten), &Shift;Pfeil hoch (eine Zeile nach oben) und &Shift;Pfeil runter (eine Zeile nach unten) bewegen.

Wenn die Feststelltaste auf der Tastur aktiviert ist, werden normale Ein- und Ausgaben der Shell angehalten und Sie können mit den Tasten Bild auf und Bild ab, sowie mit Pfeil aufwärts und Pfeil abwärts im Verlaufsspeicher blättern.

&konsole; stellt eine Reihe Funktionen im Menü Verlauf bereit.

### Profile

Profile ermöglichen das schnelle und automatische Ausführen häufiger Befehle. Hier einige Beispiele:

- SSH auf einen Fremdrechner

- Starten einer IRC-Sitzung

- Eine Datei mittels ‚tail‘ überwachen

Vorgehensweise zum Erzeugen eines neuen Profils:

1. Klicken Sie auf Einstellungen Profile verwalten ...

2. Klicken Sie auf den Knopf Neues Profil ....

3. Geben Sie in das erste Eingabefeld einen Namen ein. Dieser Name wird später im Menü angezeigt und die Voreinstellung für die Bezeichnung anstelle von Befehlsfenster sein, wenn Sie eine Sitzung dieses Typs öffnen.

4. Geben Sie nun einen Befehl fein, so als würden Sie diesen in einer Sitzung eingeben. Bei unserem Beispiel lautet die Eingabe: ``ssh` administration`.

5. In den anderen Karteikarten können Sie das Erscheinungsbild der Sitzung anpassen. Sie können eine andere Schrift, ein anderes Farbschema, eine andere Belegung von $`TERM` und viele andere Einstellungen für jede Sitzung festlegen.

6. Drücken Sie auf OK. Die neue Sitzung befindet sich nun in der Sitzungs-Liste im Dialog Profile verwalten.

Nachdem Sie Profile angelegt haben, werden ihre Namen im Menü Datei unter dem Standardprofil „Shell“ angezeigt.

### Maustasten

Dieser Abschnitt behandelt die Verwendung der Mausknöpfe für die übliche Rechtshänderbelegung. Wenn Sie eine Tastenbelegung für Linkshänder benutzten, tauschen Sie im folgenden Text Rechts und Links aus.

Linke Taste

  Ein Klick der &LMBn; wird an die Anwendung, die in der Sitzung läuft, weitergeleitet. &konsole; benutzt einen Pfeil als Mauszeiger, wenn das Anwendungsprogramm über eine Mausunterstützung verfügt. Andernfalls wird ein senkrechter Balken (ein Textzeiger) dargestellt.

  Das Bewegen der Maus (=Ziehen) bei gedrückter &LMBr; markiert einen Textabschnitt. Der ausgewählte Text wird dabei invertiert dargestellt. Mit der Funktion Kopieren im Menü Bearbeiten kann der markierte Text in die Zwischenablage kopiert und dann in &konsole; oder einer anderen Anwendung verwendet werden. Es ist außerdem möglich den Text direkt in ein anderes Anwendungsprogramm zu ziehen. Dazu muss der Text zunächst markiert werden. Anschließend wird der markierte Text angeklickt und bei gedrückter Maustaste, in das andere Programm gezogen. (Je nach &kde;-Einstellungen muss dabei noch die &Ctrl;-Taste festgehalten werden).

  Normalerweise werden Zeilenumbrüche des markierten Textes mitkopiert. Das ist sinnvoll bei Quelltexten (von Programmiersprachen) oder der Ausgabe bestimmter Befehle, aber für gewöhnlichen Text wäre eine Auswahl ohne Zeilenumbrüche günstiger. Eine solche Auswahl lässt sich durch gleichzeitiges Drücken der &Ctrl;-Taste während des Markiervorgangs erzeugen.

  Das Betätigen der &LMBn; bei gleichzeitigem Gedrückthalten der Tasten &Ctrl; und &Alt;, markiert einen Textspalte.

  Ein Doppelklick mit der &LMBn; markiert ein Wort - ein Dreifachklick markiert eine ganze Zeile.

  Wird beim Markieren der Mauszeiger auf den oberen oder unteren Rand des Textfelds bewegt, ergibt sich ein Effekt wie beim Bewegen der Bildlaufleiste. &konsole; zeigt dann Text weiter oben, bzw. weiter unten, im Verlaufsspeicher an. Dieses Rollen durch den Verlaufsspeicher endet, sobald die Mausbewegung beendet wird.

  Wird die Maustaste losgelassen, bleibt der ausgewählte Textabschnitt markiert (=invertierte Darstellung). Die Markierung wird aufgehoben, sobald die Zwischenablage verändert wird, eine Änderung des markierten Textes erfolgt oder die &LMB; betätigt wird.

  Bei Anwendungsprogrammen mit Mausunterstützung (zum Beispiel Midnight Commander) muss zusätzlich die &Shift;-Taste betätigt werden, um Text auszuwählen.

Mittlere Taste

  Klicken der &MMBn;, fügt Text aus der Zwischenablage ein. Betätigen Sie dabei die &Ctrl;-Taste, wird der Text eingefügt und an &konsole; übergeben.

  Ist lediglich eine Maus mit zwei Tasten vorhanden, kann die &MMB; durch gleichzeitiges Betätigen der &RMBn; und &LMBn; emuliert werden.

  Wenn Sie über ein Mausrad als mittlere Taste verfügen, führt das Bewegen des Mausrades in Anwendungen, die nicht über eine Mausrad-Unterstützung verfügen, zum Blättern der Bildlaufleiste von &konsole;.

Rechte Taste

  Diese Einträge erscheinen im Kontextmenü, wenn die &RMB; gedrückt wird: Kopieren, Einfügen, Verlaufsspeicher leeren & zurücksetzen, Dateimanager öffnen, Profil wechseln, Aktuelles Profil bearbeiten ..., Menüleiste anzeigen, Zeichenkodierung und Unterfenster schließen.

  In einer Anwendung mit Mausunterstützung erhalten Sie das Aufklappmenü durch Klicken mit der rechten Maustaste bei gedrückter Umschalt-Taste.

## Befehlsreferenz

### Die Menüleiste

Die Menüleiste befindet sich am oberen Rand des &konsole;-Fensters. Wenn die Menüleiste ausgeblendet ist, können Sie sie wieder anzeigen lassen, indem Sie das Kontextmenü mit der &RMBn; aufrufen und den Eintrag Menüleiste anzeigen auswählen.

#### Das Menü Datei

&Ctrl;&Shift;N Datei Neues Unterfenster

  Öffnet ein neues Unterfenster mit dem Standardprofil

&Ctrl;&Shift;M Datei Neues Fenster

  Öffnet ein neues &konsole;-Fenster mit dem Standardprofil

Datei Shell

  Öffnet ein neues Unterfenster mit dem Profil Shell

  Das Standardprofil von &konsole; heißt Shell. Alle vom Benutzer hinzugefügten Profile erhalten einen eigenen Menüeintrag gleich unterhalb von Datei Shell.

Datei Dateimanager öffnen

  Öffnet die Dateiverwaltung von &kde; mit dem aktuellen Arbeitsordner der Terminalsitzung. Die voreingestellte Anwendung dafür ist &dolphin;.

&Ctrl;&Shift;W Datei Unterfenster schließen

  Schließt das aktive Unterfenster

&Ctrl;&Shift;Q Datei Beenden

  Beendet &konsole;

  &konsole; zeigt eine Warnung an, wenn mehrere Unterfenster geöffnet sind. Falls Sie diese Warnung deaktivieren möchten, so markieren Sie die Option Diese Nachfrage nicht mehr anzeigen.

#### Das Menü Bearbeiten

&Ctrl;&Shift;C Bearbeiten Kopieren

  Kopiert den ausgewählten Text in die Zwischenablage.

&Ctrl;&Shift;V Bearbeiten Einfügen

  Fügt Text aus der Zwischenablage an der Cursor-Position ein.

&Ctrl;&Alt;S Bearbeiten Unterfenster umbenennen ...

  Öffnet ein Dialogfenster, mit dem der Name der aktuellen Sitzung geändert werden kann.

&Ctrl;&Shift;, Eingabe kopieren nach Alle Unterfenster im aktuellen Fenster

  Eingaben, die in der aktuellen Sitzung gemacht werden, werden gleichzeitig auch an alle Unterfenster im aktuellen Fenster gesendet.

&Ctrl;&Shift;. Eingabe kopieren nach Unterfenster auswählen ...

  Eingaben, die in der aktuellen Sitzung gemacht werden, werden gleichzeitig auch an andere hier festgelegte Sitzungen gesendet. (Weitere Informationen)

&Ctrl;&Shift;/ Eingabe kopieren nach Keine

  Eingabedaten werden nicht an andere Sitzungen gesendet.

Bearbeiten Terminal leeren & zurücksetzen

  Leert den Bildschirminhalt des aktuellen Unterfensters und setzt das Terminal zurück

  Der gesamte geleerte Bildschirminhalt kann im Verlauf wiedergefunden werden.

#### Das Menü Ansicht

&Ctrl;&Shift;L Ansicht Ansicht teilen Ansicht Links/Rechts teilen

  Teilt die Unterfenster in eine linke und rechte Ansicht

  Alle Ausgaben in der einen Ansicht sind auch in der anderen Ansicht zu sehen.

&Ctrl;&Shift;T Ansicht Ansicht teilen Ansicht Oben/Unten teilen

  Teilt die Unterfenster in eine obere und untere Ansicht

  Alle Ausgaben in der einen Ansicht sind auch in der anderen Ansicht zu sehen.

&Ctrl;&Shift;S Ansicht Ansicht teilen Aktive Ansicht schließen

  Schließt die aktive Ansicht

&Ctrl;&Shift;O Ansicht Ansicht teilen Andere Ansichten schließen

  Schließt die anderen, nicht aktiven Ansichten

&Ctrl;&Shift;] Ansicht Ansicht teilen Ansicht vergrößern

  Vergrößert den Bereich für die aktive Ansicht (wodurch die anderen Ansichten verkleinert werden)

&Ctrl;&Shift;[ Ansicht Ansicht teilen Ansicht verkleinern

  Verkleinert den Bereich für die aktive Ansicht (wodurch die anderen Ansichten vergrößert werden)

&Ctrl;&Shift;H Ansicht Sitzung verselbständigen

  Öffnet das aktuelle Unterfenster in einem neuen, eigenständigen Fenster

  Das Beenden des vorherigen &konsole;-Fensters wird die neue, nun eigenständige Sitzung nicht beeinträchtigen (sie wird nicht geschlossen).

Ansicht Menüleiste anzeigen

  Zeigt die Menüleiste an bzw. blendet sie aus.

&Ctrl;&Shift;F11 Ansicht Vollbildmodus

  Schaltet den Vollbildmodus für &konsole; an bzw. wieder aus

&Ctrl;&Shift;I Ansicht Auf Inaktivität überwachen

  Schaltet die Überwachung des aktuellen Unterfensters auf Inaktivität ein und aus.

  In der Voreinstellung wird nach 10 Sekunden ohne Aktivität ein Symbol auf dem Karteireiter des Unterfensters angezeigt. Der Art des Alarms können Sie mit Einstellungen Benachrichtigungen festlegen ...Keine Aktivität in überwachter Sitzung einstellen.

&Ctrl;&Shift;A Ansicht Auf Aktivität überwachen

  Schaltet die Überwachung des aktuellen Unterfensters auf Aktivität ein und aus.

  In der Voreinstellung wird bei Aktivität ein Symbol auf dem Karteireiter des Unterfensters angezeigt. Der Art des Alarms können Sie mit Einstellungen Benachrichtigungen festlegen ...Aktivität in überwachter Sitzung einstellen.

Ansicht Zeichenkodierung

  Stellt die Zeichenkodierung ein

&Ctrl;+ Ansicht Schrift vergrößern

  Vergrößert die angezeigte Schrift

&Ctrl;- Ansicht Schrift verkleinern

  Verkleinert die angezeigte Schrift

#### Das Menü Verlauf

&Ctrl;&Shift;F Verlauf In der Ausgabe suchen ...

  Öffnet die Suchleiste unten im Fenster von &konsole;

  Damit können Sie unter Beachtung von Groß- und Kleinschreibung, vorwärts, rückwärts und mit regulären Ausdrücken suchen.

F3 Verlauf Weitersuchen

  Geht zur nächsten Fundstelle des Suchmusters.

&Shift;F3 Verlauf Frühere suchen

  Geht zur vorherigen Fundstelle des Suchmusters.

Verlauf Ausgabe speichern ...

  Speichert den aktuellen Verlaufsspeicher in einer Text- oder &HTML;datei.

Verlauf Verlaufs-Einstellungen ...

  Öffnet einen Dialog zur Einstellung der Zeilen des Verlaufsspeichers. Weitere Informationen finden Sie hier.

&Ctrl;&Shift;X Verlauf Verlaufsspeicher leeren & zurücksetzen

  Leert den Verlaufsspeicher für die aktuelle Sitzung und setzt das Terminal zurück.

#### Das Menü Lesezeichen

&Ctrl;&Shift;B Lesezeichen Lesezeichen hinzufügen

  Fügt den aktuellen Pfad als Lesezeichen ein.

Lesezeichen Unterfenster als Lesezeichenordner ...

  Fügt alle geöffneten Unterfenster als Lesezeichenordern ein.

  Den Namen für den neuen Lesezeichenordner geben Sie in einem Dialog ein.

Lesezeichen Neuer Lesezeichenordner ...

  Erzeugt einen neue Ordner in der Lesezeichen-Liste.

  Den Namen für den neuen Lesezeichenordner geben Sie in einem Dialog ein.

Lesezeichen Lesezeichen bearbeiten

  Öffnet den Lesezeichen-Editor

  Sie können den Lesezeichen-Editor verwenden, um manuell URLs einzutragen, die folgenden werden von &konsole; unterstützt:

  - ssh://user@host:port

  - telnet://user@host:port

#### Das Menü Einstellungen

Einstellungen Profil wechseln

  Ändert das verwendete Profil für die aktuelle Sitzung

Einstellungen Aktuelles Profil bearbeiten ...

  Öffnet einen Dialog zur Bearbeitung des Profils des aktuellen Unterfensters.

Einstellungen Profile verwalten ...

  Öffnet einen Dialog zur Verwaltung von Profilen.

Einstellungen Kurzbefehle festlegen ...

  Öffnet einen Dialog zur Einstellung der Kurzbefehle.

Einstellungen Benachrichtigungen festlegen ...

  Öffnet einen Dialog zur Bearbeitung von Benachrichtigungen.

#### Das Menü Hilfe

&help.menu.documentation;

### Der Dialog „Unterfenster umbenennen“

In diesem Dialog kann der Name des aktuellen Unterfensters geändert werden. Dieser Dialog kann über das Menü, den Kurzbefehl &Ctrl;&Alt;S oder durch Doppelklicken auf den Karteireiter des Unterfensters geöffnet werden. Werden die Namen der Unterfenster im aktuellen Profil geändert, so bleiben diese Einstellungen dauerhaft erhalten.

&konsole; ersetzt folgende Zeichen durch Werte:

- %n : Programmname

- %d : Aktueller Ordner (Kurzform)

- %D : Aktueller Ordner (Langform)

- %w : Durch Shell gesetzter Fenstertitel

- %# : Sitzungsnummer

- %u : Benutzername

Beispiele:

- `%d : %n` mit /usr/src als aktuellem Arbeitsordner und dem laufenden Programm bash im ersten Unterfenster wird als /usr/s : bash angezeigt.

- `%D : %n` mit /usr/src als aktuellem Arbeitsordner und dem laufenden Programm top im ersten Unterfenster wird als /usr/src : top angezeigt.

- `%w (%#)` mit ~ als aktuellem Arbeitsordner und den laufenden Programm vim im ersten Unterfenster wird als [Kein Name] ~ - vim(1) angezeigt.

### Der Dialog „Eingabe kopieren“

Der in einem Unterfenster eingegebene Text kann gleichzeitig an andere Unterfenster gesendet werden. In diesem Dialog wird eingestellt, welche Unterfenster die Eingabe erhalten. Das aktuelle Unterfenster kann nicht ausgewählt werden und wird in grauer Farbe angezeigt.

### Der Dialog „Verlauf-Einstellungen“

In diesem Dialog kann die Größe des Verlaufs geändert werden. Klicken Sie auf das Ankreuzfeld, um diese Einstellung im aktuellen Profil zu speichern.

## Befehlszeilenparameter

Wird &konsole; von der Befehlszeile gestartet, lässt sich das Verhalten des Programms über verschiedene Parametern beeinflussen.

`--help`

  Zeigt eine Liste mit den verfügbaren Parametern an.

`--profile` `Datei`

  Startet &konsole; mit einem gespeicherten Satz von Sitzungen..

`--list-profiles`

  Listet alle verfügbaren Profile auf.

`--background-mode`

  &konsole; im Hintergrund starten und hervorholen, wenn F12 gedrückt wird.

`--new-tab`

  Unterfenster in vorhandenem Fenster anstelle eines neuen Fensters öffnen

`--workdir` `Startordner`

  Startet im Arbeitsordner `Startordner`.

`--notransparency`

  Keinen transparenten Hintergrund verwenden, auch wenn dies vom System unterstützt wird.

`-`

  Transparenten Hintergrund aktivieren, auch wenn dies scheinbar nicht vom System unterstützt wird.

`--hold, --noclose`

  Die erste Sitzung nicht automatisch schließen, nachdem sie beendet wurde.

`-p` `property=Wert`

  Den Wert einer Profil-Eigenschaft ändern.

`-e` `Befehl`

  Führt `Befehl` aus anstelle eines Befehlsfensters.

  Alle Parameter, die nach `Befehl` angegeben werden, werden an `Befehl` übergeben, nicht an &konsole;.

&konsole; versteht auch allgemeine &Qt;- und &kde;-Parameter:

`--help-qt`

  Zeigt &Qt;-spezifische Parameter an

Die folgenden Parameter für &Qt; haben keine Auswirkung auf &konsole;:

`--fn`, `--font` `Schriftname`

  Legt die Schriftart für die Anwendung fest.

`--bg`, `--background` `Farbe`

  Legt die Standard-Hintergrundfarbe fest.

`--fg`, `--foreground` `Farbe`

  Legt die Standard-Vordergrundfarbe fest

`--btn`, `--button` `Farbe`

  Legt die Standardfarbe für Knöpfe fest

`--help-kde`

  Zeigt &kde;-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt die Namen der Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der &konsole; steht

## Skripte für &konsole;

In &kde; 4 wurde &DCOP; durch &DBus; ersetzt, &konsole; unterstützt zahlreiche Methoden, die mit &DBus; benutzt werden können.

Es gibt zwei Möglichkeiten die &DBus;-Schnittstelle zu verwenden: &Qt;'s &GUI;-Programm qdbusviewer und auf der Befehlszeile qdbus.

Beispiele:

- &percnt; `qdbus` zeigt alle verfügbaren Dienste an.

- &percnt; `qdbus` `org.kde.konsole` zeigt die &DBus;-Schnittstelle für &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Konsole` zeigt die Methoden zur Steuerung des Hauptfensters von &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` zeigt die Methoden für die Sitzung 1.

Wenn Sie &konsole; in einem Terminal starten, müssen Sie `org.kde.konsole-`pidof -s konsole`` statt `org.kde.konsole` benutzen.

Weiterführende Informationen finden Sie auf den Webseiten &DBus;-Anleitung.

## Mitwirkende und Copyright

&konsole; wird zurzeit von &Robert.Knight; &Robert.Knight.mail; betreut.

Zuvor wurde &konsole; betreut von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; und &Waldo.Bastian; &Waldo.Bastian.mail;

Die Anwendung &konsole; Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Dieses Dokument wurde erstellt von &Jonathan.Singer;&Jonathan.Singer.mail;

Dieses Dokument wurde für &kde; 3.4 von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; aktualisiert.

Dieses Dokument wurde für &kde; 4.1 von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; aktualisiert.

Konvertiert zu DocBook SGML von &Mike.McBride; und &Lauri.Watts;

Deutsche Übersetzung von Stefan Doll stefan@laugenweck.de

&underFDL; &underGPL;

## Verknüpfungen

Weiterführende Informationen finden Sie auf diesen Webseiten:

- &konsole;'s Webseite

- &konsole;'s Mailingliste

- &kde; auf FreeBSD

- &kde; auf &Solaris;

&documentation.index;